<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/gradient_example"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:configChanges = "orientation|keyboard"
    tools:context=".SetupActivity" >

    <ScrollView
        android:id="@+id/scrollView1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentTop="true" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/scrollView1"
            android:layout_below="@+id/scrollView1"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <Button
                    android:id="@+id/btnSynchronization"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:minHeight="40dp"
                    android:minWidth="120dp"
                    android:text="@string/action_synchronize" />

                <TextView
                    android:id="@+id/tvSynchronization"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/action_synchronize" 
                    android:textAppearance="?android:attr/textAppearanceMedium"/>

            </LinearLayout>

            <TextView
                android:id="@+id/textView1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/To_change_the_language_you_need_to_restart_the_application"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <TableLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <Button
                        android:id="@+id/btnAz"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Azerbaijani" />
                    <Button
                        android:id="@+id/btnAr"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Armenia" />
                </TableRow>
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <Button
                        android:id="@+id/btnEn"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/English" />
                    <Button
                        android:id="@+id/btnGr"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Georgian" />
                </TableRow>
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <Button
                        android:id="@+id/btnKz"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Kazakh" />
                    <Button
                        android:id="@+id/btnKg"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Kyrgyz" />
                </TableRow>

                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <Button
                        android:id="@+id/btnDr"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Afghan" />
                    <Button
                        android:id="@+id/btnRu"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Russian" />
                </TableRow>
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <Button
                        android:id="@+id/btnTj"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Tajik" />
                    <Button
                        android:id="@+id/btnTm"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:layout_margin="2dp"
                        android:text="@string/Turkman" />
                </TableRow>
            </TableLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.05"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btnUz"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:layout_margin="2dp"
                    android:text="@string/Uzbek" />

            </LinearLayout>

            <Space
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:minHeight="10dp"
                android:minWidth="10dp" />

            <CheckBox
                android:id="@+id/cbIdentifyCountryRegion"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/Identify_country_region" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="0.05"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btnQR"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:layout_margin="2dp"
                    android:text="@string/Authorize_the_tablet_by_QR_code" />

            </LinearLayout>

            <CheckBox
                android:id="@+id/cbShowAdvancedSettings"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/Show_advanced_settings"/>

            <LinearLayout
                android:id="@+id/llShowAdvancedSettings"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/URL_path_to_the_server"
                        android:textAppearance="?android:attr/textAppearanceSmall"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <EditText
                        android:id="@+id/edtURL"
                        android:hint="@string/URL_path_to_the_server"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:autofillHints=""
                        android:ems="10"
                        android:importantForAutofill="no"
                        android:inputType="textUri" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Days_of_synchronization"
                        android:textAppearance="?android:attr/textAppearanceSmall"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <EditText
                        android:id="@+id/edtSyncDays"
                        android:hint="@string/Days_of_synchronization"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:autofillHints=""
                        android:ems="10"
                        android:importantForAutofill="no"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="0.05"
                    android:orientation="horizontal">

                    <Button
                        android:id="@+id/btnDeleteAllData"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="2dp"
                        android:minWidth="190dp"
                        android:minHeight="40dp"
                        android:text="@string/Delete_all_data" />

                </LinearLayout>
            </LinearLayout>

        </LinearLayout>
    </ScrollView>

</RelativeLayout>